Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 231153

Summary: Upgrade to axis-1.4-2jpp.src.rpm
Product: [Fedora] Fedora Reporter: Anthony Green <green>
Component: axisAssignee: Permaine Cheung <pcheung>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-07 01:16:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Anthony Green 2007-03-06 15:44:39 UTC
Description of problem:
I wanted to use axis for something, but the version in FC6 is too old.  Please
upgrade to the latest.  Here's the JPackage link....

http://mirrors.dotsrc.org/jpackage/1.7/generic/free/RPMS/axis-1.4-2jpp.noarch.rpm

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Permaine Cheung 2007-03-06 16:16:04 UTC
The reason we're at an older version is because the 1.4 version of axis has the
following BuildRequires which are not in FC6:

httpunit, xmlunit, bea-stax-api, geronimo-j2ee-1.4-apis,
geronimo-servlet-2.4-api, jakarta-commons-net, xml-commons-jaxp-1.2-apis,
xmlbeans, xml-security and jetty.



Comment 2 Anthony Green 2007-03-06 16:24:46 UTC
It looks like some of those will be in F7.  I'll change this to a "devel" bug,
and not an FC6 one.

The following packages have not been submitted for F7 review yet:
jetty, xml-security, xml-commons-jaxp-1.2-api2, geronimo-servlet-2.4-api,
geronimo-j2ee-1.4-apis, xmlunit.

I guess what you're saying is that you would upgrade axis if those dependencies
were added, right?

Comment 3 Permaine Cheung 2007-03-06 17:37:03 UTC
xml-commons-jaxp-1.2-api2 should be in xml-commons, and the geronimo* should be
in geronimo-specs-1.1.
That leaves xmlunit, xml-security needed for F7 reviews.
For jetty, I have to see if it can work with tomcat instead since it is another
web container.

Comment 4 Permaine Cheung 2007-03-07 16:22:03 UTC
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=231305 has been opened for
xml-security and https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=231303 for
xmlunit.
I tried building it without jetty successfully.

Comment 5 Bug Zapper 2008-04-03 23:38:10 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 01:16:38 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp